#define BALLOON_TEXT_SPAWN_TIME 2
#define BALLOON_TEXT_FADE_TIME 1
#define BALLOON_TEXT_FULLY_VISIBLE_TIME 7
#define BALLOON_TEXT_TOTAL_LIFETIME (BALLOON_TEXT_SPAWN_TIME + BALLOON_TEXT_FULLY_VISIBLE_TIME + BALLOON_TEXT_FADE_TIME)
/// The increase in duration per character in seconds
#define BALLOON_TEXT_CHAR_LIFETIME_INCREASE_MULT (0.05)
/// The amount of characters needed before this increase takes into effect
#define BALLOON_TEXT_CHAR_LIFETIME_INCREASE_MIN 10


/obj/repro
	icon_state = "thing"

/obj/repro/Click()
	var/image/balloon_alert = image(loc = src)
	balloon_alert.alpha = 0
	balloon_alert.maptext = "balloon!"
	balloon_alert.maptext_width = 200
	usr.client.images += balloon_alert

	animate(
		balloon_alert,
		pixel_y = world.icon_size * 1.2,
		time = BALLOON_TEXT_TOTAL_LIFETIME,
		easing = SINE_EASING | EASE_OUT,
	)

	animate(
		alpha = 255,
		time = BALLOON_TEXT_SPAWN_TIME,
		easing = CUBIC_EASING | EASE_OUT,
		flags = ANIMATION_PARALLEL,
	)

	animate(
		alpha = 0,
		time = BALLOON_TEXT_FULLY_VISIBLE_TIME,
		easing = CUBIC_EASING | EASE_IN,
	)
